'use strict';

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }
function _construct(Parent, args, Class) { if (_isNativeReflectConstruct()) { _construct = Reflect.construct.bind(); } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _isNativeFunction(fn) { try { return Function.toString.call(fn).indexOf("[native code]") !== -1; } catch (e) { return typeof fn === "function"; } }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
customElements.define('compodoc-menu', /*#__PURE__*/function (_HTMLElement) {
  _inherits(_class, _HTMLElement);
  var _super = _createSuper(_class);
  function _class() {
    var _this;
    _classCallCheck(this, _class);
    _this = _super.call(this);
    _this.isNormalMode = _this.getAttribute('mode') === 'normal';
    return _this;
  }
  _createClass(_class, [{
    key: "connectedCallback",
    value: function connectedCallback() {
      this.render(this.isNormalMode);
    }
  }, {
    key: "render",
    value: function render(isNormalMode) {
      var tp = lithtml.html("\n        <nav>\n            <ul class=\"list\">\n                <li class=\"title\">\n                    <a href=\"index.html\" data-type=\"index-link\">Nodejs-demo-NestJs-and-BDD documentation</a>\n                </li>\n\n                <li class=\"divider\"></li>\n                ".concat(isNormalMode ? "<div id=\"book-search-input\" role=\"search\"><input type=\"text\" placeholder=\"Type to search\"></div>" : '', "\n                <li class=\"chapter\">\n                    <a data-type=\"chapter-link\" href=\"index.html\"><span class=\"icon ion-ios-home\"></span>Getting started</a>\n                    <ul class=\"links\">\n                        <li class=\"link\">\n                            <a href=\"overview.html\" data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-keypad\"></span>Overview\n                            </a>\n                        </li>\n                        <li class=\"link\">\n                            <a href=\"index.html\" data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-paper\"></span>README\n                            </a>\n                        </li>\n                        <li class=\"link\">\n                            <a href=\"changelog.html\"  data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-paper\"></span>CHANGELOG\n                            </a>\n                        </li>\n                        <li class=\"link\">\n                            <a href=\"contributing.html\"  data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-paper\"></span>CONTRIBUTING\n                            </a>\n                        </li>\n                        <li class=\"link\">\n                            <a href=\"license.html\"  data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-paper\"></span>LICENSE\n                            </a>\n                        </li>\n                        <li class=\"link\">\n                            <a href=\"todo.html\"  data-type=\"chapter-link\">\n                                <span class=\"icon ion-ios-paper\"></span>TODO\n                            </a>\n                        </li>\n                                <li class=\"link\">\n                                    <a href=\"dependencies.html\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-list\"></span>Dependencies\n                                    </a>\n                                </li>\n                        <!-- NPM DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#npm-links-miscellaneous-variables"' : 'data-target="#xs-npm-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>NPM doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="npm-links-miscellaneous-variables"' : 'id="xs-npm-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../npm-audit/report/index.html\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Npm report\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../npm-audit/guideline/index.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Npm guideline\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                        <!-- DATABASE DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#db-links-miscellaneous-variables"' : 'data-target="#xs-db-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>DATABASE doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="db-links-miscellaneous-variables"' : 'id="xs-db-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../database-checkpoints/index.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Database Checkpoints\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                        <!-- API DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#apidoc-links-miscellaneous-variables"' : 'data-target="#xs-apidoc-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>API doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="apidoc-links-miscellaneous-variables"' : 'id="xs-apidoc-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../../api\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Open Api Swagger\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../asyncapi-kafka/view\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Async Api Kafka\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                        <!-- TEST DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#testdoc-links-miscellaneous-variables"' : 'data-target="#xs-testdoc-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>TEST doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="testdoc-links-miscellaneous-variables"' : 'id="xs-testdoc-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../../coverage/lcov-report\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>E2E and unit test report\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../bdd-cucumber/report/index.html\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Bdd test report\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../bdd-cucumber/guideline/index.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Bdd guideline\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                        <!-- CI/CD DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#cicddoc-links-miscellaneous-variables"' : 'data-target="#xs-cicddoc-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>CI/CD doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="cicddoc-links-miscellaneous-variables"' : 'id="xs-cicddoc-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../cicd/index.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>AWS CICD workflow\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../cicd/AWS-cost-reduction-checklist.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>AWS Cost reduction checklist\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                        <!-- FRONTEND DOC -->\n                        <li class=\"link\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#frontenddoc-links-miscellaneous-variables"' : 'data-target="#xs-frontenddoc-links-miscellaneous-variables"', ">\n                                <span class=\"icon ion-ios-paper\"></span>\n                                <span>FRONTEND doc</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="frontenddoc-links-miscellaneous-variables"' : 'id="xs-frontenddoc-links-miscellaneous-variables"', ">\n                                <li class=\"link\">\n                                    <a href=\"../guides/angular-guideline.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Angular guideline\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../guides/data-vizualisation-guideline.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>D3.js guideline\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../guides/ngrx-guideline.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Ngrx guideline\n                                    </a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"../guides/scrum-guideline.pdf\" target=\"_blank\" data-type=\"chapter-link\">\n                                        <span class=\"icon ion-ios-paper\"></span>Scrum guideline\n                                    </a>\n                                </li>\n                            </ul>\n                        </li>\n                    </ul>\n                </li>\n                <hr/>\n                    <li class=\"chapter modules\">\n                        <a data-type=\"chapter-link\" href=\"modules.html\">\n                            <div class=\"menu-toggler linked\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#modules-links"' : 'data-target="#xs-modules-links"', ">\n                                <span class=\"icon ion-ios-archive\"></span>\n                                <span class=\"link-name\">Modules</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                        </a>\n                        <ul class=\"links collapse \" ").concat(isNormalMode ? 'id="modules-links"' : 'id="xs-modules-links"', ">\n                            <li class=\"link\">\n                                <a href=\"modules/AppModule.html\" data-type=\"entity-link\" >AppModule</a>\n                                    <li class=\"chapter inner\">\n                                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#controllers-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"' : 'data-target="#xs-controllers-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"', ">\n                                            <span class=\"icon ion-md-swap\"></span>\n                                            <span>Controllers</span>\n                                            <span class=\"icon ion-ios-arrow-down\"></span>\n                                        </div>\n                                        <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="controllers-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"' : 'id="xs-controllers-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"', ">\n                                            <li class=\"link\">\n                                                <a href=\"controllers/AppController.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >AppController</a>\n                                            </li>\n                                        </ul>\n                                    </li>\n                                <li class=\"chapter inner\">\n                                    <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#injectables-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"' : 'data-target="#xs-injectables-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"', ">\n                                        <span class=\"icon ion-md-arrow-round-down\"></span>\n                                        <span>Injectables</span>\n                                        <span class=\"icon ion-ios-arrow-down\"></span>\n                                    </div>\n                                    <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="injectables-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"' : 'id="xs-injectables-links-module-AppModule-37b3053db15b07d61a1f9416b5e7eee9a7722ba7545cc1f6e157db048e925fc42c04fc796c1901d1936558e62cfb8080209d8ddb3366443c106ccabea7ef35f3"', ">\n                                        <li class=\"link\">\n                                            <a href=\"injectables/AppService.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >AppService</a>\n                                        </li>\n                                    </ul>\n                                </li>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"modules/FakeThirdAppModule.html\" data-type=\"entity-link\" >FakeThirdAppModule</a>\n                                    <li class=\"chapter inner\">\n                                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#controllers-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"' : 'data-target="#xs-controllers-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"', ">\n                                            <span class=\"icon ion-md-swap\"></span>\n                                            <span>Controllers</span>\n                                            <span class=\"icon ion-ios-arrow-down\"></span>\n                                        </div>\n                                        <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="controllers-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"' : 'id="xs-controllers-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"', ">\n                                            <li class=\"link\">\n                                                <a href=\"controllers/FakeBackApiController.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >FakeBackApiController</a>\n                                            </li>\n                                            <li class=\"link\">\n                                                <a href=\"controllers/FakeFrontAppController.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >FakeFrontAppController</a>\n                                            </li>\n                                        </ul>\n                                    </li>\n                                <li class=\"chapter inner\">\n                                    <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#injectables-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"' : 'data-target="#xs-injectables-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"', ">\n                                        <span class=\"icon ion-md-arrow-round-down\"></span>\n                                        <span>Injectables</span>\n                                        <span class=\"icon ion-ios-arrow-down\"></span>\n                                    </div>\n                                    <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="injectables-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"' : 'id="xs-injectables-links-module-FakeThirdAppModule-11e307453305f6d8633713cd3d5c46c0c817c6fd15405a523e571858cc9d1db56cb8c1782af7456554bc8984a863f4cb0f71df72ca6cf6ae918f06f0176a51ff"', ">\n                                        <li class=\"link\">\n                                            <a href=\"injectables/FakeBackApiService.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >FakeBackApiService</a>\n                                        </li>\n                                    </ul>\n                                </li>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"modules/UsersModule.html\" data-type=\"entity-link\" >UsersModule</a>\n                                    <li class=\"chapter inner\">\n                                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#controllers-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"' : 'data-target="#xs-controllers-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"', ">\n                                            <span class=\"icon ion-md-swap\"></span>\n                                            <span>Controllers</span>\n                                            <span class=\"icon ion-ios-arrow-down\"></span>\n                                        </div>\n                                        <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="controllers-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"' : 'id="xs-controllers-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"', ">\n                                            <li class=\"link\">\n                                                <a href=\"controllers/UsersController.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >UsersController</a>\n                                            </li>\n                                        </ul>\n                                    </li>\n                                <li class=\"chapter inner\">\n                                    <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#injectables-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"' : 'data-target="#xs-injectables-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"', ">\n                                        <span class=\"icon ion-md-arrow-round-down\"></span>\n                                        <span>Injectables</span>\n                                        <span class=\"icon ion-ios-arrow-down\"></span>\n                                    </div>\n                                    <ul class=\"links collapse\" ").concat(isNormalMode ? 'id="injectables-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"' : 'id="xs-injectables-links-module-UsersModule-2c3b677f5a2a2b8a1f4c0e4b8a39cc4f25fb6c546c3e810002f62fddb6ef9d0c0add7fd616ee85d7befb267b76b817c98639e04d3afc88a2b4cfb8cf946b7fa6"', ">\n                                        <li class=\"link\">\n                                            <a href=\"injectables/UsersService.html\" data-type=\"entity-link\" data-context=\"sub-entity\" data-context-id=\"modules\" >UsersService</a>\n                                        </li>\n                                    </ul>\n                                </li>\n                            </li>\n                </ul>\n                </li>\n                        <li class=\"chapter\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#controllers-links"' : 'data-target="#xs-controllers-links"', ">\n                                <span class=\"icon ion-md-swap\"></span>\n                                <span>Controllers</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse \" ").concat(isNormalMode ? 'id="controllers-links"' : 'id="xs-controllers-links"', ">\n                                <li class=\"link\">\n                                    <a href=\"controllers/AppController.html\" data-type=\"entity-link\" >AppController</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"controllers/FakeBackApiController.html\" data-type=\"entity-link\" >FakeBackApiController</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"controllers/FakeFrontAppController.html\" data-type=\"entity-link\" >FakeFrontAppController</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"controllers/UsersController.html\" data-type=\"entity-link\" >UsersController</a>\n                                </li>\n                            </ul>\n                        </li>\n                    <li class=\"chapter\">\n                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#classes-links"' : 'data-target="#xs-classes-links"', ">\n                            <span class=\"icon ion-ios-paper\"></span>\n                            <span>Classes</span>\n                            <span class=\"icon ion-ios-arrow-down\"></span>\n                        </div>\n                        <ul class=\"links collapse \" ").concat(isNormalMode ? 'id="classes-links"' : 'id="xs-classes-links"', ">\n                            <li class=\"link\">\n                                <a href=\"classes/CreateUserDto.html\" data-type=\"entity-link\" >CreateUserDto</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/LoggerConfig.html\" data-type=\"entity-link\" >LoggerConfig</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/PaginationQueryDto.html\" data-type=\"entity-link\" >PaginationQueryDto</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/PaginationQueryDto-1.html\" data-type=\"entity-link\" >PaginationQueryDto</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/UnitEntity.html\" data-type=\"entity-link\" >UnitEntity</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/UnitsDto.html\" data-type=\"entity-link\" >UnitsDto</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/UpdateUserDto.html\" data-type=\"entity-link\" >UpdateUserDto</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"classes/UserModel.html\" data-type=\"entity-link\" >UserModel</a>\n                            </li>\n                        </ul>\n                    </li>\n                        <li class=\"chapter\">\n                            <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#injectables-links"' : 'data-target="#xs-injectables-links"', ">\n                                <span class=\"icon ion-md-arrow-round-down\"></span>\n                                <span>Injectables</span>\n                                <span class=\"icon ion-ios-arrow-down\"></span>\n                            </div>\n                            <ul class=\"links collapse \" ").concat(isNormalMode ? 'id="injectables-links"' : 'id="xs-injectables-links"', ">\n                                <li class=\"link\">\n                                    <a href=\"injectables/AppService.html\" data-type=\"entity-link\" >AppService</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"injectables/FakeBackApiService.html\" data-type=\"entity-link\" >FakeBackApiService</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"injectables/ParseIntPipe.html\" data-type=\"entity-link\" >ParseIntPipe</a>\n                                </li>\n                                <li class=\"link\">\n                                    <a href=\"injectables/UsersService.html\" data-type=\"entity-link\" >UsersService</a>\n                                </li>\n                            </ul>\n                        </li>\n                    <li class=\"chapter\">\n                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#interfaces-links"' : 'data-target="#xs-interfaces-links"', ">\n                            <span class=\"icon ion-md-information-circle-outline\"></span>\n                            <span>Interfaces</span>\n                            <span class=\"icon ion-ios-arrow-down\"></span>\n                        </div>\n                        <ul class=\"links collapse \" ").concat(isNormalMode ? ' id="interfaces-links"' : 'id="xs-interfaces-links"', ">\n                            <li class=\"link\">\n                                <a href=\"interfaces/UserInterface.html\" data-type=\"entity-link\" >UserInterface</a>\n                            </li>\n                        </ul>\n                    </li>\n                    <li class=\"chapter\">\n                        <div class=\"simple menu-toggler\" data-toggle=\"collapse\" ").concat(isNormalMode ? 'data-target="#miscellaneous-links"' : 'data-target="#xs-miscellaneous-links"', ">\n                            <span class=\"icon ion-ios-cube\"></span>\n                            <span>Miscellaneous</span>\n                            <span class=\"icon ion-ios-arrow-down\"></span>\n                        </div>\n                        <ul class=\"links collapse \" ").concat(isNormalMode ? 'id="miscellaneous-links"' : 'id="xs-miscellaneous-links"', ">\n                            <li class=\"link\">\n                                <a href=\"miscellaneous/functions.html\" data-type=\"entity-link\">Functions</a>\n                            </li>\n                            <li class=\"link\">\n                                <a href=\"miscellaneous/variables.html\" data-type=\"entity-link\">Variables</a>\n                            </li>\n                        </ul>\n                    </li>\n                    <li class=\"chapter\">\n                        <a data-type=\"chapter-link\" href=\"coverage.html\"><span class=\"icon ion-ios-stats\"></span>Documentation coverage</a>\n                    </li>\n                    <li class=\"divider\"></li>\n                    <li class=\"copyright\">\n                        Documentation generated using <a href=\"https://compodoc.app/\" target=\"_blank\">\n                            <img data-src=\"images/compodoc-vectorise-inverted.png\" class=\"img-responsive\" data-type=\"compodoc-logo\">\n                        </a>\n                    </li>\n            </ul>\n        </nav>\n        "));
      this.innerHTML = tp.strings;
    }
  }]);
  return _class;
}( /*#__PURE__*/_wrapNativeSuper(HTMLElement)));